Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface EditPartCandies

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

public interface EditPartCandies
extends EObject

A representation of the model object 'Edit Part Candies'.

The following features are supported:

- `Reorient Connection View Command Class Name`
- `Base Edit Helper Class Name`
- `Edit Part Factory Class Name`
- `Base External Node Label Edit Part Class Name`
- `Base Item Semantic Edit Policy Class Name`
- `Base Graphical Node Edit Policy Class Name`
- `Reference Connection Edit Policy Class Name`
- `Canonical Edit Policy Class Name`
- `Text Selection Edit Policy Class Name`
- `Text Non Resizable Edit Policy Class Name`
- `External Node Label Host Layout Edit Policy Class Name`

See Also:
  `GMFGenPackage.getEditPartCandies()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getBaseEditHelperClassName()` Returns the value of the 'Base Edit Helper Class Name' attribute
`java.lang.String` `getBaseEditHelperQualifiedClassName()`
`java.lang.String` `getBaseExternalNodeLabelEditPartClassName()` Returns the value of the 'Base External Node Label Edit Part Class Name' attribute
`java.lang.String` `getBaseExternalNodeLabelEditPartQualifiedClassName()`
`java.lang.String` `getBaseGraphicalNodeEditPolicyClassName()` Returns the value of the 'Base Graphical Node Edit Policy Class Name' attribute
`java.lang.String` `getBaseGraphicalNodeEditPolicyQualifiedClassName()`
`java.lang.String` `getBaseItemSemanticEditPolicyClassName()` Returns the value of the 'Base Item Semantic Edit Policy Class Name' attribute
`java.lang.String` `getBaseItemSemanticEditPolicyQualifiedClassName()`
`java.lang.String` `getCanonicalEditPolicyClassName()` Returns the value of the 'Canonical Edit Policy Class Name' attribute
`java.lang.String` `getCanonicalEditPolicyQualifiedClassName()`
`java.lang.String` `getEditPartFactoryClassName()` Returns the value of the 'Edit Part Factory Class Name' attribute
`java.lang.String` `getEditPartFactoryQualifiedClassName()`
`java.lang.String` `getExternalNodeLabelHostLayoutEditPolicyClassName()` Returns the value of the 'External Node Label Host Layout Edit Policy Class Name' attribute
`java.lang.String` `getExternalNodeLabelHostLayoutEditPolicyQualifiedClassName()`
`java.lang.String` `getReferenceConnectionEditPolicyClassName()` Returns the value of the 'Reference Connection Edit Policy Class Name' attribute
`java.lang.String` `getReferenceConnectionEditPolicyQualifiedClassName()`
`java.lang.String` `getReorientConnectionViewCommandClassName()` Returns the value of the 'Reorient Connection View Command Class Name' attribute
`java.lang.String` `getReorientConnectionViewCommandQualifiedClassName()`
`java.lang.String` `getTextNonResizableEditPolicyClassName()` Returns the value of the 'Text Non Resizable Edit Policy Class Name' attribute
`java.lang.String` `getTextNonResizableEditPolicyQualifiedClassName()`
`java.lang.String` `getTextSelectionEditPolicyClassName()` Returns the value of the 'Text Selection Edit Policy Class Name' attribute
`java.lang.String` `getTextSelectionEditPolicyQualifiedClassName()`
`void` `setBaseEditHelperClassName(java.lang.String value)` Sets the value of the '`Base Edit Helper Class Name`' attribute
`void` `setBaseExternalNodeLabelEditPartClassName(java.lang.String value)` Sets the value of the '`Base External Node Label Edit Part Class Name`' attribute
`void` `setBaseGraphicalNodeEditPolicyClassName(java.lang.String value)` Sets the value of the '`Base Graphical Node Edit Policy Class Name`' attribute
`void` `setBaseItemSemanticEditPolicyClassName(java.lang.String value)` Sets the value of the '`Base Item Semantic Edit Policy Class Name`' attribute
`void` `setCanonicalEditPolicyClassName(java.lang.String value)` Sets the value of the '`Canonical Edit Policy Class Name`' attribute
`void` `setEditPartFactoryClassName(java.lang.String value)` Sets the value of the '`Edit Part Factory Class Name`' attribute
`void` `setExternalNodeLabelHostLayoutEditPolicyClassName(java.lang.String value)` Sets the value of the '`External Node Label Host Layout Edit Policy Class Name`' attribute
`void` `setReferenceConnectionEditPolicyClassName(java.lang.String value)` Sets the value of the '`Reference Connection Edit Policy Class Name`' attribute
`void` `setReorientConnectionViewCommandClassName(java.lang.String value)` Sets the value of the '`Reorient Connection View Command Class Name`' attribute
`void` `setTextNonResizableEditPolicyClassName(java.lang.String value)` Sets the value of the '`Text Non Resizable Edit Policy Class Name`' attribute
`void` `setTextSelectionEditPolicyClassName(java.lang.String value)` Sets the value of the '`Text Selection Edit Policy Class Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReorientConnectionViewCommandClassName

    public java.lang.String getReorientConnectionViewCommandClassName()

  Returns the value of the 'Reorient Connection View Command Class Name' attribute.

  If the meaning of the 'Reorient Connection View Command Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reorient Connection View Command Class Name' attribute.
  See Also:
    `EditPartCandies.setReorientConnectionViewCommandClassName(String)`, `GMFGenPackage.getEditPartCandies_ReorientConnectionViewCommandClassName()`
  ** Generated **
  Model:

### setReorientConnectionViewCommandClassName

    public void setReorientConnectionViewCommandClassName(java.lang.String value)

  Sets the value of the '`Reorient Connection View Command Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Reorient Connection View Command Class Name' attribute.
  See Also:
    `EditPartCandies.getReorientConnectionViewCommandClassName()`
  ** Generated **

### getBaseEditHelperClassName

    public java.lang.String getBaseEditHelperClassName()

  Returns the value of the 'Base Edit Helper Class Name' attribute.

  If the meaning of the 'Base Edit Helper Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base Edit Helper Class Name' attribute.
  See Also:
    `EditPartCandies.setBaseEditHelperClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseEditHelperClassName()`
  ** Generated **
  Model:

### setBaseEditHelperClassName

    public void setBaseEditHelperClassName(java.lang.String value)

  Sets the value of the '`Base Edit Helper Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Base Edit Helper Class Name' attribute.
  See Also:
    `EditPartCandies.getBaseEditHelperClassName()`
  ** Generated **

### getEditPartFactoryClassName

    public java.lang.String getEditPartFactoryClassName()

  Returns the value of the 'Edit Part Factory Class Name' attribute.

  If the meaning of the 'Edit Part Factory Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Part Factory Class Name' attribute.
  See Also:
    `EditPartCandies.setEditPartFactoryClassName(String)`, `GMFGenPackage.getEditPartCandies_EditPartFactoryClassName()`
  ** Generated **
  Model:

### setEditPartFactoryClassName

    public void setEditPartFactoryClassName(java.lang.String value)

  Sets the value of the '`Edit Part Factory Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Part Factory Class Name' attribute.
  See Also:
    `EditPartCandies.getEditPartFactoryClassName()`
  ** Generated **

### getBaseExternalNodeLabelEditPartClassName

    public java.lang.String getBaseExternalNodeLabelEditPartClassName()

  Returns the value of the 'Base External Node Label Edit Part Class Name' attribute.

  If the meaning of the 'Base External Node Label Edit Part Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base External Node Label Edit Part Class Name' attribute.
  See Also:
    `EditPartCandies.setBaseExternalNodeLabelEditPartClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseExternalNodeLabelEditPartClassName()`
  ** Generated **
  Model:

### setBaseExternalNodeLabelEditPartClassName

    public void setBaseExternalNodeLabelEditPartClassName(java.lang.String value)

  Sets the value of the '`Base External Node Label Edit Part Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Base External Node Label Edit Part Class Name' attribute.
  See Also:
    `EditPartCandies.getBaseExternalNodeLabelEditPartClassName()`
  ** Generated **

### getBaseItemSemanticEditPolicyClassName

    public java.lang.String getBaseItemSemanticEditPolicyClassName()

  Returns the value of the 'Base Item Semantic Edit Policy Class Name' attribute.

  If the meaning of the 'Base Item Semantic Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.setBaseItemSemanticEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseItemSemanticEditPolicyClassName()`
  ** Generated **
  Model:

### setBaseItemSemanticEditPolicyClassName

    public void setBaseItemSemanticEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Base Item Semantic Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Base Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.getBaseItemSemanticEditPolicyClassName()`
  ** Generated **

### getBaseGraphicalNodeEditPolicyClassName

    public java.lang.String getBaseGraphicalNodeEditPolicyClassName()

  Returns the value of the 'Base Graphical Node Edit Policy Class Name' attribute.

  If the meaning of the 'Base Graphical Node Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.setBaseGraphicalNodeEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseGraphicalNodeEditPolicyClassName()`
  ** Generated **
  Model:

### setBaseGraphicalNodeEditPolicyClassName

    public void setBaseGraphicalNodeEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Base Graphical Node Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Base Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.getBaseGraphicalNodeEditPolicyClassName()`
  ** Generated **

### getReferenceConnectionEditPolicyClassName

    public java.lang.String getReferenceConnectionEditPolicyClassName()

  Returns the value of the 'Reference Connection Edit Policy Class Name' attribute.

  If the meaning of the 'Reference Connection Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reference Connection Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.setReferenceConnectionEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_ReferenceConnectionEditPolicyClassName()`
  ** Generated **
  Model:

### setReferenceConnectionEditPolicyClassName

    public void setReferenceConnectionEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Reference Connection Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Reference Connection Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.getReferenceConnectionEditPolicyClassName()`
  ** Generated **

### getCanonicalEditPolicyClassName

    public java.lang.String getCanonicalEditPolicyClassName()

  Returns the value of the 'Canonical Edit Policy Class Name' attribute.

  If the meaning of the 'Canonical Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Canonical Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.setCanonicalEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_CanonicalEditPolicyClassName()`
  ** Generated **
  Model:

### setCanonicalEditPolicyClassName

    public void setCanonicalEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Canonical Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Canonical Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.getCanonicalEditPolicyClassName()`
  ** Generated **

### getTextSelectionEditPolicyClassName

    public java.lang.String getTextSelectionEditPolicyClassName()

  Returns the value of the 'Text Selection Edit Policy Class Name' attribute.

  If the meaning of the 'Text Selection Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text Selection Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.setTextSelectionEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_TextSelectionEditPolicyClassName()`
  ** Generated **
  Model:

### setTextSelectionEditPolicyClassName

    public void setTextSelectionEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Text Selection Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Text Selection Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.getTextSelectionEditPolicyClassName()`
  ** Generated **

### getTextNonResizableEditPolicyClassName

    public java.lang.String getTextNonResizableEditPolicyClassName()

  Returns the value of the 'Text Non Resizable Edit Policy Class Name' attribute.

  If the meaning of the 'Text Non Resizable Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text Non Resizable Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.setTextNonResizableEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_TextNonResizableEditPolicyClassName()`
  ** Generated **
  Model:

### setTextNonResizableEditPolicyClassName

    public void setTextNonResizableEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Text Non Resizable Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Text Non Resizable Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.getTextNonResizableEditPolicyClassName()`
  ** Generated **

### getExternalNodeLabelHostLayoutEditPolicyClassName

    public java.lang.String getExternalNodeLabelHostLayoutEditPolicyClassName()

  Returns the value of the 'External Node Label Host Layout Edit Policy Class Name' attribute.

  If the meaning of the 'External Node Label Host Layout Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Node Label Host Layout Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.setExternalNodeLabelHostLayoutEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_ExternalNodeLabelHostLayoutEditPolicyClassName()`
  ** Generated **
  Model:

### setExternalNodeLabelHostLayoutEditPolicyClassName

    public void setExternalNodeLabelHostLayoutEditPolicyClassName(java.lang.String value)

  Sets the value of the '`External Node Label Host Layout Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'External Node Label Host Layout Edit Policy Class Name' attribute.
  See Also:
    `EditPartCandies.getExternalNodeLabelHostLayoutEditPolicyClassName()`
  ** Generated **

### getReorientConnectionViewCommandQualifiedClassName

    public java.lang.String getReorientConnectionViewCommandQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getBaseEditHelperQualifiedClassName

    public java.lang.String getBaseEditHelperQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getEditPartFactoryQualifiedClassName

    public java.lang.String getEditPartFactoryQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getBaseExternalNodeLabelEditPartQualifiedClassName

    public java.lang.String getBaseExternalNodeLabelEditPartQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getBaseItemSemanticEditPolicyQualifiedClassName

    public java.lang.String getBaseItemSemanticEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getBaseGraphicalNodeEditPolicyQualifiedClassName

    public java.lang.String getBaseGraphicalNodeEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getReferenceConnectionEditPolicyQualifiedClassName

    public java.lang.String getReferenceConnectionEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getCanonicalEditPolicyQualifiedClassName

    public java.lang.String getCanonicalEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getTextSelectionEditPolicyQualifiedClassName

    public java.lang.String getTextSelectionEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getTextNonResizableEditPolicyQualifiedClassName

    public java.lang.String getTextNonResizableEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getExternalNodeLabelHostLayoutEditPolicyQualifiedClassName

    public java.lang.String getExternalNodeLabelHostLayoutEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.